 
allow-lan: true
port: 7890
mode: rule
unified-delay: true
dns:
    enable: true
    default-nameserver:
      - 223.5.5.5
      - 119.29.29.29
    nameserver-policy:
      "geosite:cn,private":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
      "rule-set:steamcn,games,dir":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - https://dns.longans.de/dns-query
      - tls://1.0.0.1
      - one.one.one.one
      - dns.google

proxy-providers:
  provider1:
    type: http
    path: ./meta1.yaml
    url: https://store.wampee.de/ayFL9u0UtOk8G72JJ4Jx8y8jcxPd95MOWdAc5TOh3aj6gGdW1O/download/collection/all
    interval: 3600
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300


# 🇺🇸 🇭🇰 🇸🇬 🇹🇼 🇯🇵
proxies:

  # - name: 🇭🇰防失联,备选
    # server: store.ubi.com
    # port: 443
    # type: trojan
    # password: ke3HottmOv
    # network: ws
    # sni: hkcf.wampee.de
    # skip-cert-verify: true
    # udp: true
    # ws-opts:
      # path: 
      # headers:
        # Host: hkcf.wampee.de

  # - name: 🇸🇬 Argo              
    # type: vless
    # server: wampee.de
    # port: 443                        
    # uuid: 5162fdf5-2bf9-4445-8045-8a64353a7f03
    # udp: true
    # tls: true
    # network: ws
    # servername: arsg.wampee.de
    # ws-opts:
      # path: /
      # headers:
        # Host: arsg.wampee.de

  # - name: 🇸🇬 CF            
    # type: vless
    # server: wampee.de
    # port: 443                        
    # uuid: fba0ace0-764f-45a4-8809-3b10d56b4f0b
    # udp: true
    # tls: true
    # network: ws
    # servername: cat.162678.xyz
    # ws-opts:
      # path: /
      # headers:
        # Host: cat.162678.xyz

  # - name: 🇸🇬 AWS 
    # type: hysteria2
    # server: aws.wampee.de
    # port: 8443
    # ports: 20000-30000
    # hop-interval: 10
    # password: superuser.#S3xBTmke8*8%%3D^sgw
    # up: "1000 Mbps"
    # down: "1000 Mbps"
  # # # bbr-profile: "" # Available: "standard", "conservative", "aggressive". Default: "standard"
    # # obfs: salamander # 默认为空，如果填写则开启obfs，目前仅支持salamander
    # # obfs-password: yourpasswor
    # sni: aws.wampee.de
    # skip-cert-verify: false
    # # fingerprint: Chrome
    # # alpn:
      # # - h3

  # - name: 🇵🇱 Argo              
    # type: vless
    # server: wampee.de
    # port: 443                        
    # uuid: 3a3f841e-e4b1-47c8-b71e-a1ad0f7ec1e8
    # udp: true
    # tls: true
    # network: ws
    # servername: frog.wampee.de
    # ws-opts:
      # path: /
      # headers:
        # Host: frog.wampee.de

  # - name: 🇭🇰 Argo              
    # type: vless
    # server: wampee.de
    # port: 443                        
    # uuid: ddac41af-a60b-4a15-9920-08f4108fdd58
    # udp: true
    # tls: true
    # network: ws
    # servername: argo.wampee.de
    # ws-opts:
      # path: /
      # headers:
        # Host: argo.wampee.de

  # - name: 🇭🇰 dialer                        
    # type: ss
    # server: zouter.wampee.de                        
    # port: 4000                              
    # cipher: aes-128-gcm                          
    # password: 7fAdFmIpi5nw5SYXVeLw63aXYbs0uRSGu0fDvU17GvE=                 
    # udp: true
    # udp-over-tcp: true
    # dialer-proxy: 🇸🇬 CF


  # - name: 🇸🇬 Argo 
    # server: store.ubi.com
    # port: 443
    # type: trojan
    # password: AVEhuji2Ey
    # network: ws
    # sni: sgcf.wampee.de
    # skip-cert-verify: true
    # udp: true
    # ws-opts:
      # path: 
      # headers:
        # Host: sgcf.wampee.de

  # - name: 🇯🇵 Oracle
    # server: ip2.wampee.de
    # port: 443
    # type: trojan
    # password: o0tm4UHM9q
    # network: ws
    # sni: oraclecf.wampee.de
    # skip-cert-verify: true
    # udp: true
    # ws-opts:
      # path: 
      # headers:
        # Host: oraclecf.wampee.de

  # - name: 🇺🇸 BWG
    # type: anytls
    # server: tls.wampee.de
    # port: 8443
    # password: ruZKO7Ej3E
    # client-fingerprint: chrome
    # udp: true
    # idle-session-check-interval: 30
    # idle-session-timeout: 30
    # min-idle-session: 0
    # sni: tls.wampee.de
    # alpn:
      # - h2
      # - http/1.1
    # skip-cert-verify: true

  # - name: 🇺🇸 BWG
    # type: mieru
    # server: tls.wampee.de
    # port-range: 30000-31000
    # transport: TCP
    # udp: true
    # username: 6_ETQnCs
    # password: mMiICwpR
    # multiplexing: MULTIPLEXING_HIGH



  # - name: 🇭🇰 GCP                                   # 可以自定义节点名称
    # server: 35.220.252.219                            # 解析的域名或 IP
    # port: 2083                                     # 自定义端口
    # type: tuic
    # uuid: 4d317767-4fea-48b6-f989-0b2f0134d376      # 自定义 UUID
    # password: lwODhuaWHi  # 自定义认证密码
    # alpn: [h3]
    # reduce-rtt: true
    # udp-relay-mode: native
    # congestion-controller: bbr
    # skip-cert-verify: true
    # sni: gcpsui.wampee.de


  # - name: 🇯🇵 SS                           
    # type: ss
    # server: www.wampee.de                        
    # port: 4000                              
    # cipher: aes-128-gcm                          
    # password: qaigJdyyGEyMspwQQ5GVji+Nvv0uedW/xf7pxhfOoXg=                  
    # udp: true
    # udp-over-tcp: true
    # dialer-proxy: 111

proxy-groups:
  - name: PROXY
    type: select
    proxies:
    use:
      - provider1


rule-providers:
    tiktok:
        behavior: classical
        interval: 86400
        path: ./ruleset/tiktok.yaml
        type: http
        url: https://github.com/blackmatrix7/ios_rule_script/raw/refs/heads/master/rule/Clash/TikTok/TikTok.yaml
    bybit:
        behavior: classical
        interval: 86400
        path: ./ruleset/bybit.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/bybit.yaml
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: classical
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Clash/Telegram/Telegram.yaml
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,tiktok,PROXY
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
   # - GEOSITE,CN,DIRECT
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY





